package de.duehl.basics.start;

import java.io.File;

import de.duehl.basics.proccess.ExternalProcess;

public class ExternalProcessTestHuhuBatch {

    /*
     * Inhalt von c:/temp/huhu.bat:
     *
     * @echo huhu
     *
     */

    public static void main(String[] args) {
        String batchName = "c:/temp/huhu.bat";
        File f = new File(batchName);
        System.out.println("File '" + batchName + " ist eine normale Datei: "
                + f.isFile());

        String[] params = { "cmd", "/c", "start", batchName };
        //String[] params = { batchName }; // Hier sieht man dann nicht die huhu-Ausgabe
        ExternalProcess externalProcess = new ExternalProcess(params);
        externalProcess.runWaitAndHandleErrors();
        System.out.println("fertig"); // erst nach schließen des CMD-Fensters.
    }

}
